Bug 352391 - kdepim: compacting mbox shows empty folder
kdepim: compacting mbox shows empty folder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 10:49 EDT by Sammy
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.5.8-5.svn20071013.ent.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 18:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to correct mbox compacting problem (2.29 KB, patch)
2007-10-25 10:51 EDT, Sammy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 146967 None None None Never

  None (edit)
Description Sammy 2007-10-25 10:49:37 EDT
In kdepim 3.5.7 and 3.5.8 if a mbox time folder is compacted the
folder shows empty. Switching to another folder and coming back
restores the folder contents. I had reported this long time ago
and a patch was suggested that I have been using for months
without any problem. It is kde bug 146967.
Thanks
Comment 1 Sammy 2007-10-25 10:51:55 EDT
Created attachment 237391 [details]
Patch to correct mbox compacting problem

I meant "type mbox" not "time mbox"
Comment 2 Rex Dieter 2007-10-25 11:27:26 EDT
Thanks.  I'll see if I can get someone @kde to signoff on this...
Comment 3 Sammy 2007-11-06 10:53:00 EST
I just noticed that this patch is included in 3.5.8 update of Mandrake
Cooker!
Comment 4 Rex Dieter 2007-11-06 11:13:05 EST
Will continue to track upstream, and will ask for upstream approval.
Comment 5 Rex Dieter 2007-11-06 13:22:18 EST
Here's a build to try:
http://koji.fedoraproject.org/koji/taskinfo?taskID=228118
(for f8 only for now).

I'll work to get an F7 build so that you can test.
Comment 6 Sammy 2007-11-06 14:22:58 EST
I have rebuilt for f7 already for a long time and it is working fine.
Thanks for including it. Once 3.5.8 is official in f7 or f8 I don't
have to build my kdepim package each time! However, I do have some
doubts about the enterprise package. I have the feeling that while it
fixes a bunch of bugs it also introduces new ones.
Thanks
Comment 7 Fedora Update System 2007-11-08 01:02:47 EST
kdepim-3.5.8-5.svn20071013.ent.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdepim'
Comment 8 Fedora Update System 2007-11-09 18:35:14 EST
kdegraphics-3.5.8-7.fc7, kdepim-3.5.8-5.svn20071013.ent.fc7, kdebindings-3.5.8-1.fc7, kdetoys-3.5.8-1.fc7, kdeutils-3.5.8-2.fc7, kdeartwork-3.5.8-1.fc7, kde-i18n-3.5.8-1.fc7, kdevelop-3.5.0-4.fc7, kdewebdev-3.5.8-3.fc7, kdesdk-3.5.8-2.fc7, kdenetwork-3.5.8-6.fc7, kdemultimedia-3.5.8-8.fc7, kdegames-3.5.8-3.fc7, kdeedu-3.5.8-2.fc7, kdeadmin-3.5.8-1.fc7, kdeaddons-3.5.8-2.fc7, kdeaccessibility-3.5.8-2.fc7, kdebase-3.5.8-3.fc7, kdelibs-3.5.8-7.fc7, arts-1.5.8-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdegraphics kdepim kdebindings kdetoys kdeutils kdeartwork kde-i18n kdevelop kdewebdev kdesdk kdenetwork kdemultimedia kdegames kdeedu kdeadmin kdeaddons kdeaccessibility kdebase kdelibs arts'
Comment 9 Fedora Update System 2007-11-12 18:55:45 EST
kdepim-3.5.8-5.svn20071013.ent.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-11-12 19:05:02 EST
kdegraphics-3.5.8-7.fc7, kdebindings-3.5.8-1.fc7, kdeutils-3.5.8-2.fc7, kde-i18n-3.5.8-1.fc7, kdewebdev-3.5.8-3.fc7, kdenetwork-3.5.8-6.fc7, kdegames-3.5.8-3.fc7, kdeadmin-3.5.8-1.fc7, kdeaccessibility-3.5.8-2.fc7, kdelibs-3.5.8-7.fc7, kdepim-3.5.8-5.svn20071013.ent.fc7, kdetoys-3.5.8-1.fc7, kdeartwork-3.5.8-1.fc7, kdevelop-3.5.0-4.fc7, kdesdk-3.5.8-2.fc7, kdemultimedia-3.5.8-8.fc7, kdeedu-3.5.8-2.fc7, kdeaddons-3.5.8-2.fc7, kdebase-3.5.8-3.fc7, arts-1.5.8-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.